commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Emmanuel Bourg <ebo...@apache.org>
Subject Re: [math] should version 2.0 be targeted to Java 5 ?
Date Thu, 15 May 2008 18:48:52 GMT
James Carman a écrit :

> And, if you're going to jump versions, you should jump your
> package name to match.  Again, that's just my opinion.  I would just
> like to see Commons do things in a somewhat consistent manner when it
> comes to this kind of thing.

I agree to have a consistent policy when dealing with common issues, 
changing the package name is the right solution to avoid conflicts 
between incompatible releases.

However it's a bit late to require a package change just for jumping to 
a new major version. Among the components that changed their major 
revision number (collections, lang, cli, modeler, attributes), only CLI 
changed its package, and it was justified by a complete incompatible 
refactoring of the API.

Emmanuel Bourg


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message